### Function

# EDataServerUI CredentialsPrompterLoopPromptFunc

#### Declaration

    gboolean
    (* ECredentialsPrompterLoopPromptFunc) (
      ECredentialsPrompter* prompter,
      ESource* source,
      const ENamedParameters* credentials,
      gboolean* out_authenticated,
      gpointer user_data,
      GCancellable* cancellable,
      GError** error
    )

#### Description

No description available.

#### Parameters

`prompter`

  Type: `ECredentialsPrompter`

  An `ECredentialsPrompter`.

  The data is owned by the caller of the function.

`source`

  Type: `ESource`

  An `ESource`, as passed to e_credentials_prompter_loop_prompt_sync().

  The data is owned by the caller of the function.

`credentials`

  Type: `ENamedParameters`

  An `ENamedParameters` with provided credentials.

  The data is owned by the caller of the function.

`out_authenticated`

  Type: `gboolean*`

  Set to `TRUE`, when the authentication was successful.

  The argument will be set by the function.

`user_data`

  Type: `gpointer`

  User data, as passed to e_credentials_prompter_loop_prompt_sync().

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`cancellable`

  Type: `GCancellable`

  A `GCancellable`, as passed to e_credentials_prompter_loop_prompt_sync().

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the function if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` to continue the loop (reprompt credentials), unless `authenticated` is also set to `TRUE`, or `FALSE` on error, as an indication that the loop should be terminated.